---
author: ~khuxkm
published: true
title: "badger bot"
description: Twitch Plays Pokemon badge system
category:
    - main
---

# badger

The Twitch Plays Pokemon badge system, ported to tildeverse IRC!

## How it works

Every 20 to 50 messages in #meta, the person talking will recieve a random badge. These badges have a distribution like so:

|Badge Name |Chance of pull|
|-----------|--------------|
|Berrybadge |65.00%        |
|Firebadge  |15.00%        |
|Rockbadge  |10.00%        |
|Waterbadge |5.00%         |
|Shadybadge |2.00%         |
|Musicbadge |1.90%         |
|Sportsbadge|1.00%         |
|Tildebadge |0.10%         |

You can transmute 3 or more badges. When you do this, it will create one, hopefully rarer badge and take the badges you put in away.

For technical documentation on how transmutation works, refer to TPP docs [here](https://twitchplayspokemon.tv/transmutation_calculations).

## Commands

### `+listbadges`

Lists the badges you have. Takes no arguments.

### `+transmute <badge one> <badge 2> <badge 3> [<badge 4>...]`

Transmutes 3 or more badges into one, hopefully rarer badge. Badge names are case-insensitive.

### `+badgeinfo <badge> [<badge>...]`

Gets info on the number of badges of a given type that exist. To get all badges, supply "all" as the badge name.

### `+optout`

Opts you out of the badge game entirely. You will not be able to participate again until you opt back in.

### `+optin`

Opts you back into the game, allowing you to participate again.