# tilde.chat wiki

hi there, welcome to our wiki!

to contribute to the wiki:

* [fork the repo](https://tildegit.org/repo/fork/53)

* clone the repo to your local machine (or your public_html folder on the tilde.team box for live testing)
```sh
git clone git@tildegit.org:tildeverse/tilde.chat
cd tilde.chat
```

* create a new branch for your page
```sh
git checkout -b my-new-page
```

* if you want to add a new page, copy `template.md` into your new page!
```sh
cp wiki/template.md wiki/my-new-page.md
```

* test your changes locally
```sh
composer install
php -S localhost:9000
```

this will run your site at http://localhost:9000/


* edit as needed!

* commit your changes and [create a pull request](https://tildegit.org/tildeverse/tilde.chat/pulls) :)
```sh
git add --all
git commit -m "added my-new-page"
git push origin my-new-page # this should match the branch name you created earlier
```

* create a pull request on the [site](https://tildegit.org/tildeverse/tilde.chat) repo

thanks!~

ps. if you have any questions, ask on irc! (try #helpdesk or #meta)
